Subject: [quicwg/base-drafts] 77df59: Work in progress: Improving the quality of the TLS...

From: Martin Thomson <[email-masked]>
Date: Tue, 29 Nov 2016 17:48:58 -0800

Branch: refs/heads/tls-bit
  Home:   https://github.com/quicwg/base-drafts
  Commit: 77df591022658679dcc837e3187ad29cd9f70e6d
      https://github.com/quicwg/base-drafts/commit/77df591022658679dcc837e3187ad29cd9f70e6d
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Work in progress: Improving the quality of the TLS overview

I've improved terminology throughout the early sections and tried to
be more precise.  I probably need to add a picture or two to help.

The latter sections still need work.

I want to move the "system component" diagram that I had to the main
draft.  It would be good to have a topological map of all the pieces.

  Commit: 5013b5b8b41700b4a696b74cafada655d0e07f6b
      https://github.com/quicwg/base-drafts/commit/5013b5b8b41700b4a696b74cafada655d0e07f6b
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Adding details of the interaction between QUIC and TLS

  Commit: 4abd4d0cbd3710dfc46832a4cb05ef0eee167c12
      https://github.com/quicwg/base-drafts/commit/4abd4d0cbd3710dfc46832a4cb05ef0eee167c12
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Refinement of delivery requirements

  Commit: 01938d6a06d5cd9f0ce424c4c8c8b980e2bab566
      https://github.com/quicwg/base-drafts/commit/01938d6a06d5cd9f0ce424c4c8c8b980e2bab566
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Fix client's second phase

  Commit: 8ec223c9b179d9b3a700dc2c5c599000147dcdc8
      https://github.com/quicwg/base-drafts/commit/8ec223c9b179d9b3a700dc2c5c599000147dcdc8
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Expand on retransmission of handshake messages

  Commit: 59508f100c0628ba4df79ab514bed6be2b76d1fe
      https://github.com/quicwg/base-drafts/commit/59508f100c0628ba4df79ab514bed6be2b76d1fe
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Make it clearer what keys are used for which in packet protection

  Commit: 3a88e3a146cc92e6868e2374878690a31088142a
      https://github.com/quicwg/base-drafts/commit/3a88e3a146cc92e6868e2374878690a31088142a
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Pre-handshake clarifications

  Commit: 92a42f8219b5c6337e411a5097cd28042e836c87
      https://github.com/quicwg/base-drafts/commit/92a42f8219b5c6337e411a5097cd28042e836c87
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Rework packet protection and key phases to be clearer and more correct.

  Commit: 45d1258f67ac46a5c9acce95e8713c9a4ad1bb90
      https://github.com/quicwg/base-drafts/commit/45d1258f67ac46a5c9acce95e8713c9a4ad1bb90
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Ian had a few helpful comments

  Commit: eb8b9fa6c599ba6faa5b42309d3bb5f7910762fd
      https://github.com/quicwg/base-drafts/commit/eb8b9fa6c599ba6faa5b42309d3bb5f7910762fd
  Author: Martin Thomson <[email-masked]>
  Date:   2016-11-30 (Wed, 30 Nov 2016)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  reclaim that diversification nonce

Compare: https://github.com/quicwg/base-drafts/compare/77df59102265^...eb8b9fa6c599